"{ Package: 'jv:smallsense' }"

"{ NameSpace: SmallSense }"

Smalltalk::TestCase subclass:#BaseTestClass
	instanceVariableNames:'u v'
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Tests'
!


!BaseTestClass methodsFor:'generate'!

doForSource:src 
    |parser|

    parser := SmallSenseParser new.
    parser 
        parseMethod:'gen' , src
        in:self class
        ignoreErrors:false
        ignoreWarnings:false.
    ^ parser.

    "Created: / 16-03-2011 / 12:27:38 / Jakub <zelenja7@fel.cvut.cz>"
    "Modified: / 17-03-2011 / 17:45:23 / Jakub <zelenja7@fel.cvut.cz>"
!

processMethod: aCompiledMethod
        "Fail by default. Needs to be overridden by subclasses to trigger the base testing backbone."

        | collector |
        collector := TypeCollector onClass: self class.
        collector currentExtractedMethod: aCompiledMethod.
        TypeCollector new newExtractor
                extractInterfacesFrom: aCompiledMethod source class:aCompiledMethod mclass
                addTo: collector.
        ^collector

    "Created: / 17-03-2011 / 16:56:07 / Jakub <zelenja7@fel.cvut.cz>"
! !

!BaseTestClass class methodsFor:'documentation'!

version_SVN
    ^ '$Id: SmallSenseBaseTestClass.st 7700 2011-04-06 19:18:57Z vranyj1 $'
! !

